package com.ruoyi.nanjing.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.nanjing.mapper.TRpProductchangeinfoMapper;
import com.ruoyi.nanjing.domain.TRpProductchangeinfo;
import com.ruoyi.nanjing.service.ITRpProductchangeinfoService;
import com.ruoyi.common.core.text.Convert;

/**
 * 机种切换管理Service业务层处理
 * 
 * @author limy
 * @date 2021-01-22
 */
@Service
public class TRpProductchangeinfoServiceImpl implements ITRpProductchangeinfoService 
{
    @Autowired
    private TRpProductchangeinfoMapper tRpProductchangeinfoMapper;

    /**
     * 查询机种切换管理
     * 
     * @param ID 机种切换管理ID
     * @return 机种切换管理
     */
    @Override
    public TRpProductchangeinfo selectTRpProductchangeinfoById(Long ID)
    {
        return tRpProductchangeinfoMapper.selectTRpProductchangeinfoById(ID);
    }

    /**
     * 查询机种切换管理列表
     * 
     * @param tRpProductchangeinfo 机种切换管理
     * @return 机种切换管理
     */
    @Override
    public List<TRpProductchangeinfo> selectTRpProductchangeinfoList(TRpProductchangeinfo tRpProductchangeinfo)
    {
        return tRpProductchangeinfoMapper.selectTRpProductchangeinfoList(tRpProductchangeinfo);
    }

    /**
     * 新增机种切换管理
     * 
     * @param tRpProductchangeinfo 机种切换管理
     * @return 结果
     */
    @Override
    public int insertTRpProductchangeinfo(TRpProductchangeinfo tRpProductchangeinfo)
    {
        return tRpProductchangeinfoMapper.insertTRpProductchangeinfo(tRpProductchangeinfo);
    }

    /**
     * 修改机种切换管理
     * 
     * @param tRpProductchangeinfo 机种切换管理
     * @return 结果
     */
    @Override
    public int updateTRpProductchangeinfo(TRpProductchangeinfo tRpProductchangeinfo)
    {
        return tRpProductchangeinfoMapper.updateTRpProductchangeinfo(tRpProductchangeinfo);
    }

    /**
     * 删除机种切换管理对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTRpProductchangeinfoByIds(String ids)
    {
        return tRpProductchangeinfoMapper.deleteTRpProductchangeinfoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除机种切换管理信息
     * 
     * @param ID 机种切换管理ID
     * @return 结果
     */
    @Override
    public int deleteTRpProductchangeinfoById(Long ID)
    {
        return tRpProductchangeinfoMapper.deleteTRpProductchangeinfoById(ID);
    }
}
